package main // import "git.sapphic.engineer/roleypoly/v4"

import (
	"log"
	"os"

	"git.sapphic.engineer/roleypoly/v4/roleypoly"
)

func main() {
	app := roleypoly.CreateFiberApp()
	roleypoly.SetupRoutes(app)

	listenAddr := os.Getenv("LISTEN_ADDR")
	if listenAddr == "" {
		listenAddr = ":8169"
	}

	log.Fatal(app.Listen(listenAddr))
}
